#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint rongcloud_beauty_wrapper_plugin.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'rongcloud_beauty_wrapper_plugin'
  s.version          = '5.2.5'
  s.summary          = 'RongFaceBeautifier for flutter.'
  s.description      = <<-DESC
RongFaceBeautifier for flutter.
                       DESC
  s.homepage         = 'https://www.rongcloud.cn/'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'RongCloud' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.static_framework = true
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.vendored_frameworks = ['Frameworks/*.xcframework','Frameworks/*.framework']
  s.dependency 'Flutter'
  s.platform = :ios, '9.0'

  s.dependency 'RongCloudRTC/RongFaceBeautifier', '5.3.1'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
end
